%global pypi_name cryptography-vectors
%global pkg_name cryptography_vectors


Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        2.0.3
Release:        1%{?dist}
Summary:        Test vectors for the cryptography package

License:        BSD or Apache 2.0
URL:            https://pypi.python.org/pypi/%{pypi_name}/%{version}
Source0:        https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n:0:1})/%{pypi_name}/%{pkg_name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       python(abi) >= 3.4

BuildRequires:  python3-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  openssl-devel

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description
Test vectors for the cryptography package.

%prep
%setup -q -n %{pkg_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%{python3_sitelib}/%{pkg_name}
%{python3_sitelib}/%{pkg_name}-%{version}-py?.?.egg-info

%changelog
* Thu Sep 14 2017 Daniel Uvehag <daniel.uvehag@gmail.com> - 2.0.3-1
- Initial package.
